Wednesday, 30 May 2012

Fedora 17 upgrade - not the best experience

I have been running Fedora Linux for a reason. It tends to get new + shiny stuff before other distros. New & Shiny = good.

Of course to offset the goodness of new and shiny you will occasionally get issues. The upgrade from FC16 to FC17 seems to create its fair share of issues!

After running the preupgrade process and rebooting:

  • Only FC16 kernels listed in grub menu
  • Some aspects of system have clearly changed, uname - r returns an FC16 kernel
Oh dear. This is going to be 'fun'!

Following some handy info from a post in FedoraForum.org I  rebooted and edited the grub config at boot time (press e when grub meu is shown - you left that couple of second delay in your grub config right? ;) ). Changed all references from FC16 to FC17 and I now appear to have booted a FC17 kernel.

Now if I query rpm to see what state I'm in regarding packages:

[root@bigfoot /]# rpm -qa | grep fc16
plexus-maven-plugin-1.3.8-5.fc16.noarch
compiz-gnome-0.9.5.92.1-0.2.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.x86_64
alacarte-0.13.2-3.fc16.noarch
yum-3.4.3-24.fc16.noarch
felix-parent-1.2.1-6.fc16.noarch
netbeans-ide-6.9-5.fc16.noarch
plexus-sec-dispatcher-1.4-4.fc16.noarch
compiz-plugins-main-0.9.5.92-1.fc16.x86_64
mdadm-3.2.3-7.fc16.x86_64
compiz-gtk-0.9.5.92.1-0.2.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.x86_64
async-http-client-1.6.1-1.fc16.noarch
pmd-4.2.5-11.fc16.noarch
libcompizconfig-0.9.5.92-1.fc16.x86_64
cscope-15.7a-9.fc16.x86_64
libva-freeworld-1.0.14-1.fc16.x86_64
netbeans-cvsclient-6.9-5.fc16.noarch
plexus-xmlrpc-1.0-0.7.b4.3.fc16.noarch
telepathy-butterfly-0.5.15-4.fc16.noarch
compiz-0.9.5.92.1-0.2.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.x86_64
libgdiplus-2.10-2.fc16.x86_64

Some of those I'm quite happy to remove (eg NetBeans packages), some I'm not so sure on (Compiz - maybe needed by my Gnome installation) and others I am quite concerned about - anyone fancy running 'yum remove yum'? No, me either.

So it's off to the inspect theyum conf files and make sure nothing points at a FC16 repo before updating and trying to clean up these errant packages.

Looking at the man page for yum it seems there is a handy synchronization command that I'm hoping will sort some of these package issues out, and indeed it did. It seems I had more than just FC16 packages that hadn't been updated, yum found a FC13 and even a FC12 package!

I'll have to use this syncho command more often.


[root@bigfoot yum.repos.d]# yum distribution-synchronization
Loaded plugins: presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package cscope.x86_64 0:15.7a-8.fc17 will be a downgrade
---> Package cscope.x86_64 0:15.7a-9.fc16 will be erased
---> Package mdadm.x86_64 0:3.2.3-6.fc17 will be a downgrade
---> Package mdadm.x86_64 0:3.2.3-7.fc16 will be erased
---> Package ndesk-dbus.x86_64 0:0.6.1a-10.fc17 will be a downgrade
---> Package ndesk-dbus.x86_64 0:0.6.1b-1.fc13 will be erased
---> Package vbetool.x86_64 0:1.2.1-2.fc17 will be a downgrade
---> Package vbetool.x86_64 0:1.2.2-1.fc12 will be erased
---> Package yum.noarch 0:3.4.3-23.fc17 will be a downgrade
---> Package yum.noarch 0:3.4.3-24.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

Post a Comment